# Class StyleParser.BoxInfo

java.lang.Object
com.codename1.ui.plaf.StyleParser.BoxInfo

Direct Known Subclasses:
  `StyleParser.MarginInfo, StyleParser.PaddingInfo`

Enclosing class:
  `StyleParser`

public static class StyleParser.BoxInfo extends java.lang.Object
Base class for style values that consist of 4 scalar values, such as padding and margin.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected StyleParser.ScalarValue[]`
  `values`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoxInfo(StyleParser.ScalarValue[] values)`
  Creates a new box with the specified scalar values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleParser.ScalarValue`
  `getValue(int side)`
  Gets a value for a side.
  `StyleParser.ScalarValue[]`
  `getValues()`
  Gets the scalar values of this box as a 4-element array.
  `void`
  `setValues(StyleParser.ScalarValue[] values)`
  Sets the scalar values of this box as a 4-element array.
  `String`
  `toString()`
  Returns string of values in format.
  `String`
  `toString(int side)`
  Returns the string representation of one of the sides of the box.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### values

    protected StyleParser.ScalarValue[] values

- ## Constructor Details

  - ### BoxInfo

    public BoxInfo(StyleParser.ScalarValue[] values)

    Creates a new box with the specified scalar values.

    ###### Parameters

    - `values`: A 4-element array of scalar values.

- ## Method Details

  - ### toString

    public String toString()
    Returns string of values in format.
    Overrides:
      `toString` in class `java.lang.Object`

  - ### toString

    public String toString(int side)

    Returns the string representation of one of the sides of the box.

    ###### Parameters

    - `side`: One of `Component#TOP`, `Component#RIGHT`, `Component#BOTTOM`, `Component#LEFT`.

  - ### getValues

    public StyleParser.ScalarValue[] getValues()
    Gets the scalar values of this box as a 4-element array.

  - ### setValues

    public void setValues(StyleParser.ScalarValue[] values)

    Sets the scalar values of this box as a 4-element array.

    ###### Parameters

    - `values`

  - ### getValue

    public StyleParser.ScalarValue getValue(int side)

    Gets a value for a side.

    ###### Parameters

    - `side`: One of `Component#TOP`, `Component#RIGHT`, `Component#BOTTOM`, `Component#LEFT`.

    ###### Returns

    The value portion of the scalar value.